Subject: Re: benchmarking on NT
From: [email-masked] (Jim Sopchak)

21 Nov 1997 07:14:17 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Fergus Henderson <[email-masked]>
Cc: [email-masked]

Fergus,

Perhaps you could try launching your bash command as such:

START "Timing Myprog" /SEPARATE /HIGH time ./myprog.exe

For more information on the START command enter:  START /? | more at the
command line.  You may also wish to try it with the /REALTIME priority
setting instead of /HIGH.  Haven't tried this myself ever, but it seems
like a reasonable approach.

Jim Sopchak

> I'm trying to run some benchmarks on Windows NT.
> Ideally I would like to reuse some Unix shell scripts
> that I have for this.
> 
> Unfortunately, I have run into a problem.  NT has an utterly bizzarre
> habit of pausing execution of CPU-intensive tasks for no apparent
> reason.  So my simple bash command
> 
>         time ./myprog.exe
> 
> runs forever, or at least for a very long time.
> NT seems to give the process some more CPU time every time I
> move the mouse into the Window, or type a key, but I don't want to have
> to sit there waving the mouse around while I'm running benchmarks!
> 
> This seems to happen regardless of the setting of the "Application
> Performance" setting in the Performance section of the Control Panel.
> 
> Is there some way of avoiding this?
> 
> I'm using NT 4.0 (build 1381).
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".